---
search:
  tags:
    - Wallets
    - GET
seo:
  description: >-
    A seller has at most one active PointsProgram and one active CreditProgram.
    Each… Reference for the GET /wallet_programs endpoint in the Bolder API v2.
sidebar:
  label: List wallet programs
  badge: GET
title: List wallet programs
type: openapi-operation
---
A seller has at most one active `PointsProgram` and one active
`CreditProgram`. Each program automatically covers every shop under
the seller.

`GET /wallet_programs`

**Responses**

- `200` — Paginated list of wallet programs

Response example, 200:

```json
{
  "_class": [
    "results",
    "walletPrograms"
  ],
  "total_items": 1,
  "per_page": 30,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/wallet_programs"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 4,
        "type": "points",
        "name": "Loyalty",
        "status": "active",
        "points_name": "points",
        "points_min": 500,
        "points_duration": "1_year",
        "points_divider": 100,
        "points_divider_scope": "cart_total",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/wallet_programs/4"
          }
        }
      }
    ]
  }
}
```
